Get Model Details
curl --request GET \
--url https://api.voxnexus.ai/v1/models/{model_id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.voxnexus.ai/v1/models/{model_id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.voxnexus.ai/v1/models/{model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model_id": "vn-tts-ultra",
"name": "VoxNexus TTS Ultra",
"capability_type": "tts",
"description": "High quality text-to-speech model",
"languages": [
"zh",
"en"
],
"translate_capability": {
"supports_auto_detect": true,
"target_languages": [
"zho_Hans",
"eng_Latn",
"jpn_Jpan",
"fra_Latn"
],
"source_routes": {
"zho_Hans": [
"eng_Latn",
"jpn_Jpan"
],
"eng_Latn": [
"zho_Hans"
]
}
}
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}models
Get Model Details
Get detailed information of a specific model, including supported languages and providers.
GET
/
v1
/
models
/
{model_id}
Get Model Details
Authorizations
Authenticate using X-Api-Key header
Path Parameters
Model unique identifier
Example:
"vn-tts-ultra"
Response
Successfully returns model details
Model unique identifier
Example:
"vn-tts-ultra"
Model display name
Example:
"VoxNexus TTS Ultra"
Capability type
Available options:
tts, stt, tts_realtime, stt_realtime, translate, translate_realtime Example:
"tts"
Model description
Example:
"High quality text-to-speech model"
Supported language codes. Present for every capability type except translate (which uses translate_capability instead); the format depends on capability_type:
tts,stt,tts_realtime,stt_realtime: ISO 639-1 codes (ISO 639-3 when no two-letter code exists), e.g.zh,en,yue.translate_realtime: supported target languages as<ISO 639-3>_<Script>codes, e.g.eng_Latn,zho_Hans(valid values fortarget_language/target_language_a/target_language_b).
Example:
["zh", "en"]
Translate model capability info. Only present when capability_type is "translate".
Show child attributes
Show child attributes

